﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="OlympicSystems.ProjectCost.WebSuite.Web.Default" %>

<%
	this.Title = System.Security.SecurityElement.Escape(System.Web.Configuration.WebConfigurationManager.AppSettings["Title"] ?? "Project Cost Web Suite");
%>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Project Cost Web Suite</title>
	<style type="text/css">
		html, body, form
		{
			height: 100%;
			overflow: hidden;
		}

		body
		{
			padding: 0;
			margin: 0;
		}

		#silverlightControlHost
		{
			height: 100%;
			text-align: center;
		}
	</style>
	<script type="text/javascript" src="Silverlight.js"></script>
	<script type="text/javascript">
		function onSilverlightError(sender, args)
		{
			var appSource = "";
			if (sender != null && sender != 0)
			{
				appSource = sender.getHost().Source;
			}

			var errorType = args.ErrorType;
			var iErrorCode = args.ErrorCode;

			if (errorType == "ImageError" || errorType == "MediaError")
			{
				return;
			}

			var errMsg = "Unhandled Error in Silverlight Application " + appSource + "\n";

			errMsg += "Code: " + iErrorCode + "    \n";
			errMsg += "Category: " + errorType + "       \n";
			errMsg += "Message: " + args.ErrorMessage + "     \n";

			if (errorType == "ParserError")
			{
				errMsg += "File: " + args.xamlFile + "     \n";
				errMsg += "Line: " + args.lineNumber + "     \n";
				errMsg += "Position: " + args.charPosition + "     \n";
			}
			else if (errorType == "RuntimeError")
			{
				if (args.lineNumber != 0)
				{
					errMsg += "Line: " + args.lineNumber + "     \n";
					errMsg += "Position: " + args.charPosition + "     \n";
				}
				errMsg += "MethodName: " + args.methodName + "     \n";
			}

			throw new Error(errMsg);
		}

		window.onload = OnLoad;
		function OnLoad()
		{
			var silverlightControlHost = document.getElementById("silverlightControlHost");
			silverlightControlHost.innerHTML
				= '<object id="silverlightControl" data="data:application/x-silverlight-2," type="application/x-silverlight-2" width="100%" height="100%">'
				+ '    <param name="source" value="ClientBin/WebSuiteClient.xap" />'
				+ '    <param name="onError" value="onSilverlightError" />'
				+ '    <param name="background" value="white" />'
				+ '    <param name="minRuntimeVersion" value="5.0.61118.0" />'
				+ '    <param name="autoUpgrade" value="true" />'
				+ '    <param name="initParams" value="<%=(this.InitParams)%>" />'
				+ '    <div style="font-size:large;font-weight:bold;color:Red"><br />'
				+ '        If you are seeing this page and the Silverlight plug-in is installed,<br />'
				+ '        it might be disabled or blocked by security settings.<br />'
				+ '        Some things to check:<br />'
				+ '        "Microsoft Silverlight" is enabled in "Manage Add-ons".<br />'
				+ '        "ActiveX controls and plug-ins" settings in appropriate security zone.<br />'
				+ '        <a href="http://ie.microsoft.com/testdrive/browser/activexfiltering/about.html">"ActiveX Filtering"</a> is turned off for this site.'
				+ '    </div>'
				+ '    <a href="http://go.microsoft.com/fwlink/?LinkID=149156&v=5.0.61118.0" style="text-decoration: none">'
				+ '        <img src="GetMicrosoftSilverlight.png" alt="Get Microsoft Silverlight" style="border-style: none" />'
				+ '    </a>'
				+ '</object>'
				+ '<iframe id="_sl_historyFrame" style="visibility: hidden; height: 0px; width: 0px; border: 0px"></iframe>';
		}

		/* enable silverlight control the ability to stop a shutdown or navigation away from the current page */
		window.onbeforeunload = OnClose;
		function OnClose(e)
		{
			try
			{
				var shutdownResult = document.getElementById("silverlightControl").content.ShutdownManager.Shutdown();

				if (!shutdownResult.OkToShutdown)
				{
					if (navigator.userAgent.search(/msie/ig))
					{
						event.returnValue = shutdownResult.Message;
					}
					else if (navigator.userAgent.search(/firefox/ig))
					{
						e.returnValue = shutdownResult.Message;
					}
					else if (navigator.userAgent.search(/safari/ig))
					{
						e.returnValue = shutdownResult.Message;
					}
					else
					{
						return shutdownResult.Message;
					}
				}
			}
			catch (ex)
			{
				// do nothing, this should only happen if the user closes the browser or navigates away before the silverlight control is fully loaded and running (ShutdownManager is not yet available)
			}
		}
	</script>
</head>
<body>
	<form id="form1" runat="server" style="height: 100%; overflow: hidden">
		<div id="silverlightControlHost"></div>
	</form>
</body>
</html>
